extension:
  name: custom-ml
  display_name: Customer ML Service
  version: 1.0.0
  host: inference
  category: customer_backend
  description: |
    Example Model B extension. The customer operates a pre-existing
    ML inference service (PyTorch / Ray Serve / Triton / whatever)
    with its own deployment, GPU topology, and upgrade cadence. They
    don't want Eldric managing the process — they just want Eldric
    to know about the endpoint and route requests to it.

    The endpoint MUST speak ETP over the configured transport
    (Unix socket preferred, HTTPS fallback). Phase-3 wires the
    actual ETP client.

  model: B                     # External service — customer-owned lifecycle
  runtime: python              # Informational only; Eldric doesn't spawn
  external_socket: /run/customer-ml/etp.sock

  capabilities:
    - chat_completion
    - embedding
    - classify

  tools: []

  license_tier: enterprise
  signature_key: ""
